# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=xcel
TARGET=xcel.tif
PROJECT_FILE=/mnt/media/pictures/2008/2008-05-29/xcel.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/2008-05-29/sta_3165.jpg /mnt/media/pictures/2008/2008-05-29/stb_3166.jpg /mnt/media/pictures/2008/2008-05-29/stc_3167.jpg /mnt/media/pictures/2008/2008-05-29/std_3168.jpg /mnt/media/pictures/2008/2008-05-29/ste_3169.jpg /mnt/media/pictures/2008/2008-05-29/stf_3170.jpg /mnt/media/pictures/2008/2008-05-29/stg_3171.jpg 

# remapped images
REMAPPED_IMAGES=xcel0000.tif xcel0001.tif xcel0002.tif xcel0003.tif xcel0004.tif xcel0005.tif xcel0006.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f1740x777


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


